# $Revision: 1.16 $, $Date: 2010/09/05 11:48:59 $
Summary:	An arcade action puzzle game
Summary(hu.UTF-8):	Akció-kirakó játék
Summary(pl.UTF-8):	Zręcznościowa gra logiczna
Name:		zaz
Version:	1.0.0
Release:	2
License:	GPL v3+
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/zaz/%{name}-%{version}.tar.bz2
# Source0-md5:	d92a043780d06c699da0ba04aab32a6b
Source1:	%{name}-docs.tar.gz
# Source1-md5:	c1d35b69edf80bab01262ca272405181
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-usless_files.patch
URL:		http://zaz.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ftgl-devel >= 2.1.3
BuildRequires:	gettext-devel
BuildRequires:	libdrm-devel
BuildRequires:	libogg-devel
BuildRequires:	libtheora-devel
BuildRequires:	libvorbis-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Zaz is an arcade action puzzle game where the objective is to get rid
of all incoming balls by rearranging their order. Currently it
includes 23 different levels.

%description  -l hu.UTF-8
Zaz egy akció kirakó játék, amelyben a cél, hogy az összes bejövő
labdától megszabadulj úgy, hogy őket sorbarendezd. Jelenleg 23
különböző pálya van.

%description -l pl.UTF-8
Zaz to zręcznościowa gra logiczna, w której celem jet pozbycie się
wszystkich kul zmieniając ich ustawienie. Aktualnie gra zawiera 23
różnych poziomów.

%prep
%setup -q -a 1
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-icondir="%{_pixmapsdir}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# install docs
install -d $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install AUTHORS ChangeLog docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc %{_docdir}/%{name}-%{version}
%attr(755,root,root) %{_bindir}/zaz
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.xpm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: zaz.spec,v $
Revision 1.16  2010/09/05 11:48:59  lisu
- move docs to separate package (zaz-docs.tar.gz)

Revision 1.15  2010/09/05 09:43:32  uzsolt
- added screen_mini.jpg
- rel 2

Revision 1.14  2010/09/05 09:41:35  uzsolt
- hu
- more doc (taken from webpage)

Revision 1.13  2010/09/04 13:01:22  lisu
- updated amount of levels in en desc

Revision 1.12  2010/09/04 10:52:45  lisu
- 1.0.0
- 23 levels in total

Revision 1.11  2010/07/19 07:43:27  lisu
- up to 0.8.0
- 20 levels

Revision 1.10  2010/05/09 11:21:44  lisu
- updated to 0.7.0
- more levels in desc

Revision 1.9  2010/02/22 09:37:14  lisu
- up to 0.3.3

Revision 1.8  2010/01/31 21:39:35  lisu
- now zaz has 7 diffrent levels

Revision 1.7  2010/01/29 22:00:34  lisu
- up to 0.3.1
- adapter

Revision 1.6  2009/11/15 00:40:46  zbyniu
- BR: gettext-devel, pkgconfig

Revision 1.5  2009/10/07 13:32:08  lisu
- no more inexistent files

Revision 1.4  2009/10/07 13:23:25  lisu
- up to 0.3.0
- add --with-icondir to point where icon should go

Revision 1.3  2009/08/28 14:36:47  lisu
- little change by adapter

Revision 1.2  2009/08/28 14:36:01  lisu
- up to 0.2.9
- do not try to process inexistent files
- internationalization

Revision 1.1  2009/08/27 08:10:18  lisu
- new spec file

